
Katello - Bug #23957

Notification.setRenderedSuccessMessage is not a function on bulk product sync

06/15/2018 02:37 PM - Andrew Kofink

Status: Closed   

Priority: Normal   

Assignee: Jonathon Turel   

Category: Web UI   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1606276 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/748
Description

Found in nightly

Reproduce:

1. Content -> Products

2. Select a couple products

3. Select 'Sync Now'

Actual:

JS console error is logged, no success message is displayed

Expected:

The success message is properly rendered

Trace:

TypeError: Notification.setRenderedSuccessMessage is not a function

    at success (products.controller.self-70e99c05e036c775980bbc3deb5d64d934b918b539bc449eeabb3ffa5

8991c6c.js?body=1:99)

    at angular-resource.self-e0c3bb2a962d7c8325d92ad502fa79de62eb0112b20c755f19ef662da180cee2.js?b

ody=1:727

    at processQueue (angular.self-208d6d1bf3c22e113e15f13d5f6b598e8f182e9918a6399862a3c3c8c40f9b23

.js?body=1:15962)

    at angular.self-208d6d1bf3c22e113e15f13d5f6b598e8f182e9918a6399862a3c3c8c40f9b23.js?body=1:159
    at Scope.$eval (angular.self-208d6d1bf3c22e113e15f13d5f6b598e8f182e9918a6399862a3c3c8c40f9b23.

js?body=1:17230)

    at Scope.$digest (angular.self-208d6d1bf3c22e113e15f13d5f6b598e8f182e9918a6399862a3c3c8c40f9b2

3.js?body=1:17046)

    at Scope.$apply (angular.self-208d6d1bf3c22e113e15f13d5f6b598e8f182e9918a6399862a3c3c8c40f9b23

.js?body=1:17338)

    at done (angular.self-208d6d1bf3c22e113e15f13d5f6b598e8f182e9918a6399862a3c3c8c40f9b23.js?body

=1:11573)

    at completeRequest (angular.self-208d6d1bf3c22e113e15f13d5f6b598e8f182e9918a6399862a3c3c8c40f9

b23.js?body=1:11779)

    at XMLHttpRequest.requestLoaded (angular.self-208d6d1bf3c22e113e15f13d5f6b598e8f182e9918a63998

62a3c3c8c40f9b23.js?body=1:11712)

Associated revisions

Revision 44ab18ee - 07/06/2018 01:44 PM - Jonathon Turel

Fixes #23957 - Use proper Notications API for bulk products

History
#1 - 06/20/2018 06:07 PM - Jonathon Turel

- translation missing: en.field_release set to 338

#2 - 06/27/2018 06:21 PM - Andrew Kofink

- Assignee set to Jonathon Turel

#3 - 06/27/2018 09:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7481 added

#4 - 07/06/2018 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|44ab18ee50f0b0b92ec498d5b5bb34d4f508fcab.

#5 - 07/20/2018 07:17 PM - Andrew Kofink

- Bugzilla link set to 1606276
